summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--Changes1
-rw-r--r--testsuite/tests/backtrace/Makefile2
2 files changed, 2 insertions, 1 deletions
diff --git a/Changes b/Changes
index e5dda36c0..ea4ccf1ae 100644
--- a/Changes
+++ b/Changes
@@ -52,6 +52,7 @@ Bug fixes:
- PR#5772: problem with marshaling of mutually-recursive functions
- PR#5775: several bug fixes for tools/pprintast.ml
- PR#5785: misbehaviour with abstracted structural type used as GADT index
+- PR#5806: ensure that backtrace tests are always run (testsuite)
OCaml 4.00.1:
diff --git a/testsuite/tests/backtrace/Makefile b/testsuite/tests/backtrace/Makefile
index 7ab708f88..960ce2f0f 100644
--- a/testsuite/tests/backtrace/Makefile
+++ b/testsuite/tests/backtrace/Makefile
@@ -18,7 +18,7 @@ run-all:
$(OCAMLC) -g -o $(EXECNAME) $$file; \
for arg in a b c d ''; do \
printf " ... testing '$$file' (with argument '$$arg'):"; \
- OCAMLRUNPARAM=b=1 $(EXECNAME) $$arg > `basename $$file ml`$$arg.result 2>&1; \
+ (OCAMLRUNPARAM=b=1 $(EXECNAME) $$arg || true) > `basename $$file ml`$$arg.result 2>&1; \
$(DIFF) `basename $$file ml`$$arg.reference `basename $$file ml`$$arg.result > /dev/null && echo " => passed" || (echo " => failed" && exit 1); \
done; \
done